# Class BSFTestElement

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.BSFTestElement

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, TestElement`

Direct Known Subclasses:
  `BSFAssertion, BSFListener, BSFPostProcessor, BSFPreProcessor, BSFSampler, BSFTimer`

public abstract class BSFTestElement extends ScriptingTestElement implements Serializable

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class ScriptingTestElement

`scriptLanguage`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BSFTestElement()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`evalFileOrScript(BSFManager mgr)`
`protected BSFManager`
`getManager()`
`String`
`getScriptLanguage()`
`protected void`
`initManager(BSFManager mgr)`
`protected void`
`processFileOrScript(BSFManager mgr)`
`void`
`setScriptLanguage(String s)`

### Methods inherited from class ScriptingTestElement

`getFilename, getParameters, getScript, setFilename, setParameters, setScript`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BSFTestElement

public BSFTestElement()

## Method Details

### getManager

protected BSFManager getManager() throws BSFException

Throws:
  `BSFException`

### initManager

protected void initManager(BSFManager mgr) throws BSFException

Throws:
  `BSFException`

### processFileOrScript

protected void processFileOrScript(BSFManager mgr) throws BSFException

Throws:
  `BSFException`

### evalFileOrScript

protected Object evalFileOrScript(BSFManager mgr) throws BSFException

Throws:
  `BSFException`

### getScriptLanguage

public String getScriptLanguage()

### setScriptLanguage

public void setScriptLanguage(String s)